package com.sunhero.example.module.sl.service.impl;

package ..deTemp.1749297436324;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sunhero.example.module.sl.entity.SlStStbprpB;
import com.sunhero.example.module.sl.mapper.SlStStbprpBMapper;
import com.sunhero.example.module.sl.service.SlStStbprpBService;
import java.util.Arrays;
import java.util.List;
import org.springframework.stereotype.Service;

@Service
public class SlStStbprpBServiceImpl extends ServiceImpl<SlStStbprpBMapper, SlStStbprpB> implements SlStStbprpBService {
  public List<SlStStbprpB> queryList(String stcd, String sttp) {
    QueryWrapper<SlStStbprpB> query = new QueryWrapper();
    if (StringUtils.isNotBlank(stcd))
      ((QueryWrapper)((QueryWrapper)query.like("stcd", stcd)).or()).like("stnm", stcd); 
    if (StringUtils.isNotBlank(sttp)) {
      List<String> asList = Arrays.asList(sttp.split(","));
      query.in((asList.size() > 0), "sttp", asList);
    } 
    return list((Wrapper)query);
  }
  
  public SlStStbprpB queryByStcd(String stcd) {
    QueryWrapper<SlStStbprpB> query = (QueryWrapper<SlStStbprpB>)((QueryWrapper)(new QueryWrapper()).eq("stcd", stcd)).last("limit 1");
    return (SlStStbprpB)getOne((Wrapper)query);
  }
}
